// Docs
body.body-docs {
  .center {
    max-width: 1400px;
  }
  main > .center {
    max-width: 1400px;
    display: flex;
  }
  main {
    display: flex;
    justify-content: space-between;
  }
}
.docs-right {
  flex-shrink: 0;
  width: 256px;
  font-size: 14px;
  max-height: calc(100vh - 64px);
  position: sticky;
  overflow: auto;
  top: 0;
  padding-top: 40px;
  box-sizing: border-box;
  padding-bottom: 40px;
  margin-top: -40px;
  margin-bottom: -40px;
  .scrollbar();

  a {
    color: @colorSecondary;
    &:hover {
      color: @colorPrimary;
    }
  }
}
.docs-right-block {
  + .docs-right-block {
    padding-top: 12px;
    margin-top: 12px;
    border-top: 1px solid @colorBorder;
  }
}

@media (max-width: 960px) {
  .docs-right {
    margin-left: 24px;
    margin-top: -24px;
  }
  .docs-content {
    margin-top: 40px;
  }
}
.docs-page-nav {
  border-top: 1px solid @colorBorder;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-top: 2em;
  padding-top: 1em;
  a {
    font-weight: 600;
  }
  a:hover {
    text-decoration: none;
    opacity: 0.55;
  }
}
.docs-start-button {
  text-align: center;
  margin: 2em 0 1em;
  a {
    .solid-button();
  }
}
.docs-mobile-preview-links {
  display: none;
}
.docs-content {
  flex-shrink: 10;
  box-sizing: border-box;
  position: relative;
  min-width: 0;
  width: 100%;
  padding-left: 24px;
  padding-right: 24px;
  @media (min-width: 960px) {
    padding-left: 40px;
    padding-right: 40px;
  }
  @media (min-width: 1400px) {
    width: calc(1400px - 40px - 40px - 256px);
  }
  h1 {
    margin-top: 0;
  }

  .with-device {
    padding-right: 340px;
    .device-spacer {
      height: 400px;
    }
  }
  .with-device-inline {
    position: relative;
    .docs-inline-device {
      position: absolute;
      right: -20px;
      top: 0;
      @media (max-width: 600px) {
        position: relative;
        right: 0;
      }
    }
  }
  h2[id],
  h3[id] {
    cursor: pointer;
    scroll-margin-top: 64px;
  }
}
.docs-demo-device {
  position: absolute;
  right: 20px;
  top: 0;
  background: @colorSurface4;
  z-index: 1000;
  margin-top: 40px;
  padding: 8px;
  border-radius: 24px;
  backface-visibility: hidden;
  border: 1px solid @colorBorder;

  iframe {
    width: 320px;
    height: 680px;
    border-radius: 18px;
    position: relative;
    overflow: hidden;
    border: none;
    margin: 0;
    padding: 0;
    display: block;
    overflow: hidden;
    background: black;
  }
  &:not(.docs-inline-device) {
    display: none;
    &.visible {
      display: block;
    }
  }

  .docs-demo-device-buttons {
    display: flex;
    align-items: center;
    position: absolute;
    left: 50%;
    bottom: 100%;
    margin-bottom: 4px;
    transform: translateX(-50%);
  }
  .docs-demo-device-mode-buttons {
    margin-left: 16px;
  }
  .docs-demo-device-theme-buttons,
  .docs-demo-device-mode-buttons {
    font-size: 0;
    white-space: nowrap;
    background: @colorBorder;
    border-radius: 8px;
    padding: 2px;
    a {
      padding-top: 4px;
      padding-bottom: 4px;
      width: 48px;
      text-align: center;
      color: @colorOnSurfaceVariant;
      display: inline-flex;
      align-items: center;
      justify-content: center;
      text-align: center;
      cursor: pointer;
      border-radius: 6px;
      text-decoration: none;
      + a {
        margin-left: 2px;
      }
      i {
        font-size: 18px;
      }

      &:hover {
        background: rgba(red(@colorPrimary), green(@colorPrimary), blue(@colorPrimary), 0.1);
      }
      &.active {
        background-color: @colorPrimary;
        color: @colorOnPrimary;
      }
    }
  }
  .docs-demo-device-iframe {
    position: relative;
    overflow: hidden;
    border-radius: 12px;
  }
  .fade-overlay {
    background: #000;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    visibility: hidden;
    opacity: 0;
    transition: 200ms;
    pointer-events: none;
    z-index: 100;
    &.visible {
      transition: 0ms;
      opacity: 1;
      visibility: visible;
    }
  }
  &.docs-inline-device {
    position: relative;
  }
}
.method-wrap {
  padding: 24px;
  margin: 1em -0px;
  border-left: 4px solid @colorBorderStrong;
  background: @colorSurface2;
  + .method-wrap {
    margin-top: 32px;
  }
  p:first-child {
    margin-top: 0;
  }
  p:last-child,
  ul:last-child {
    margin-bottom: 0;
  }
  .method-parameters {
    font-size: 14px;
    + .method-returns {
      margin-top: -12px;
    }
  }
  .method-returns {
    font-style: normal;
    font-style: italic;
    font-size: 14px;
  }
}
p.method,
span.method {
  .monospace();
  color: #fff;
  font-weight: 500;
  span {
    color: @docsCodeRed;
  }
}
ul.method-parameters {
  margin-top: -10px;
  margin-bottom: 20px;
  padding-left: 30px;
  .parameter {
    .monospace();
    color: @docsCodeRed;
    font-weight: 500;
  }
  .parameter-type {
    .monospace();
    color: @colorBlue;
    font-weight: 500;
  }
}
.method-returns {
  list-style: none;
}

.docs-index {
  padding: 0;
  list-style: none;
  position: relative;
  margin: 0;
  &-title {
    font-weight: bold;
    margin-bottom: 12px;
  }
  &:empty {
    padding: 0;
    border: none;
  }
  li {
    margin: 2px 0;
    position: relative;
    &:first-child {
      margin-top: 0;
    }
    &:last-child {
      margin-bottom: 0;
    }
  }
  a {
    text-decoration: none;
  }
  ul {
    list-style: none;
    margin: 0;
    padding: 0;
    margin-left: 20px;
  }
}
@media (max-width: 1400px) {
  .docs-content {
    order: 2;
    margin-top: 64px;
  }
  .docs-right {
    order: 1;
    width: 240px;
    margin-right: -240px;
    padding: 0;
    position: relative;
    overflow: visible;
    min-height: 0;
    height: 48px;
    box-sizing: border-box;
    align-self: flex-start;
    display: flex;
    align-items: center;
    margin-top: 0;
    margin-left: 40px;
    margin-right: -280px;
    .carbon,
    .improve-docs-link {
      display: none;
    }
  }
  .docs-right-block {
    display: none;
  }
  .docs-right-block.docs-right-block-index {
    width: 100%;
    height: 100%;
    position: relative;
    display: block;
    margin-top: 0;
    padding-top: 0;
    border: none;
    &::after {
      content: 'chevron_right';
      font-family: 'Framework7 Icons';
      font-size: 24px;
      width: 24px;
      height: 24px;
      position: absolute;
      right: 12px;
      top: 50%;
      margin-top: -12px;
      line-height: 1;
      pointer-events: none;
    }
  }
  .docs-index-title {
    margin-bottom: 0 !important;
    padding: 0 12px;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    cursor: pointer;
    border: 1px solid @colorBorder;
    border-radius: 12px;
    background: @colorSurface1;
  }
  .docs-index {
    position: absolute;
    display: none;
    width: 100%;
    user-select: none;

    a {
      display: block;
      padding: 2px 12px;
      &:hover {
        background: @colorSurface3;
      }
    }
  }
  .docs-index-visible {
    .docs-index {
      display: block;
      background: @colorSurface1;
      border: 1px solid @colorBorder;
      border-top: none;
      border-radius: 0 0 12px 12px;
      padding-top: 4px;
      padding-bottom: 4px;
      max-height: 240px;
      box-sizing: border-box;
      overflow: auto;
      .scrollbar();
    }
    .docs-index-title {
      // border-bottom-color: transparent;
      border-radius: 12px 12px 0 0;
    }
    &::after {
      transform: rotate(90deg);
    }
  }
}
@media (max-width: 960px) {
  .docs-right {
    margin-left: 24px;
    margin-top: -16px;
  }
  .docs-content {
    margin-top: 48px;
  }
}
.docs-nav {
  width: 256px;
  box-sizing: border-box;
  flex-shrink: 0;
  background: @colorSurface;
  position: relative;
  margin-top: -40px;
  margin-bottom: -40px;
  padding-top: 40px;
  padding-left: 24px;
  padding-right: 8px;
  .scrollbar();

  .title {
    margin-bottom: 10px;
    font-weight: 700;
    font-size: 14px;
  }
  .subtitle {
    text-transform: uppercase;
    margin-bottom: 10px;
    font-weight: 500;
  }
}
.docs-nav-frameworks {
  display: flex;
  box-sizing: border-box;
  padding: 4px;
  background: @colorSurface1;
  border: 1px solid @colorBorder;
  border-radius: 8px;
  margin-bottom: 24px;
  a {
    width: 25%;
    display: block;
    padding: 8px 4px !important;
    border-radius: 4px;
    + a {
      margin-left: 4px;
    }
    &:hover {
      background: @colorSurface3;
    }
    &.active {
      background: lighten(@colorSurface4, 20%);
    }
  }
  img {
    display: block;
    width: 100%;
    height: 24px;
    object-fit: contain;
    object-position: center;
  }
}
.docs-nav-menu {
  padding-bottom: 40px;
  box-sizing: border-box;
  > ul {
    position: relative;
    > li {
      margin-top: 30px;
      &:first-child {
        margin-top: 0;
      }
    }
  }
  .docs-nav-sponsors {
    padding-top: 16px;
    margin-bottom: 24px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
    border-top: 1px solid rgba(0, 0, 0, 0.05);
    padding-bottom: 16px;
    .title {
      display: flex;
      align-items: center;
      justify-content: space-between;
      align-content: center;
      a {
        font-weight: 500;
        font-size: 11px;
        padding-right: 0;
        line-height: 1;
        letter-spacing: -0.015em;
        &:hover {
          text-decoration: underline;
        }
      }
    }
    @media (max-width: 960px) {
      margin-right: 20px;
    }
    &-list {
      display: grid;
      grid-template-columns: repeat(4, minmax(0, 1fr));
      gap: 4px;
      a {
        display: flex;
        align-items: center;
        justify-content: center;
        box-sizing: border-box;
        text-align: center;
        padding: 0;
        background: #fff;
        border-radius: 4px;
        img {
          display: block;
          max-width: 100%;
          max-height: 100%;
        }
      }
    }
  }
  ul {
    margin: 0;
    padding: 0;
    line-height: 1.3;
    list-style: none;
    font-size: 14px;
  }
  ul ul ul {
    margin-left: 10px;
  }
  li {
    margin-bottom: 10px;
    position: relative;
    li:hover:before,
    &.active:before {
      pointer-events: none;
      content: '';
      position: absolute;
      right: 0;
      top: 0;
      width: calc(100% + 12px);
      height: 100%;
      padding: 5px 0;
      top: 50%;
      transform: translateY(-50%);
      border-radius: 4px;
    }
    li:hover:before {
      background: lighten(@colorSurface, 10%);
    }
    &.active:before {
      background: @colorPrimary !important;
    }
    &.active a {
      color: @colorOnPrimary !important;
    }
  }
  a {
    text-decoration: none;
    display: block;
    padding-right: 10px;
    position: relative;
    color: @colorSecondary;
    &:hover {
      color: @colorPrimary;
    }
    &.active {
      font-weight: 500;
      color: @colorOnPrimary;
    }
  }
  .inactive {
    opacity: 0.4;
    .inactive {
      opacity: 1;
    }
  }
}

.docs-nav-searchbar {
  z-index: 10;
  button {
    margin-left: 0;
    width: 100%;
  }
  @media (max-width: 960px) {
    right: 20px;
  }
}
.docs-nav-backdrop {
  position: absolute;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
  display: none;
}
.docs-nav-toggle {
  position: absolute;
  bottom: 24px;
  left: calc(100% + 100vw - 64px - 24px);
  background: @colorPrimary;
  cursor: pointer;
  width: 64px;
  height: 64px;
  z-index: 100;
  border-radius: 999px;

  span {
    display: block;
    height: 3px;
    width: 20px;
    background: @colorOnPrimary;
    position: relative;
    top: 24px;
    left: 50%;
    margin-left: -10px;
    + span {
      margin-top: 3px;
    }
  }
  span:first-child {
    transform-origin: left top;
  }
  span:last-child {
    transform-origin: left bottom;
  }
  .docs-nav-visible & {
    display: none;
  }
}
.improve-docs-link {
  a {
    display: inline-flex;
    align-items: center;
    text-decoration: none;
    &:before {
      content: 'logo_github';
      font-family: 'Framework7 Icons';
      font-size: 20px;
      line-height: 20px;
      width: 20px;
      height: 20px;
      display: inline-block;
      vertical-align: top;
      margin-right: 3px;
    }
  }
}
.color-example {
  display: inline-block;
  width: 32px;
  height: 32px;
  margin-right: 16px;
}
@media (min-width: 961px) {
  .docs-nav-toggle {
    display: none;
  }
  .docs-nav-backdrop {
    display: none;
  }
  .docs-nav {
    position: sticky;
    overflow: auto;
    top: 64px;
    // max-height: 100vh;
    max-height: calc(100vh - 64px);
    .scrollbar();
  }
}
@media (max-width: 960px) {
  .docs-nav {
    z-index: 1000;
    margin: 0;
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    transform: translateX(-100%);
    padding: 0;
    &.docs-nav-visible {
      transform: translateX(0%);
      box-shadow: 20px 0 50px rgba(0, 0, 0, 0.3);
      .docs-nav-backdrop {
        display: block;
      }
    }
    .docs-nav-content {
      overflow: auto;
      height: 100%;
      padding-right: 20px;
      padding: 20px 20px 0 20px;
      .scrollbar();
    }
  }
}
@media (max-width: 800px) {
  .docs-demo-device {
    right: 10px;
  }
}
@media (max-width: 768px) {
  .docs-demo-device:not(.docs-inline-device),
  .docs-demo-device:not(.docs-inline-device).visible {
    display: none;
  }
  .docs-content .with-device {
    padding-right: 0;
  }
  .method-wrap {
    padding: 10px;
    overflow-x: auto;
  }
  .improve-docs-link {
    float: none;
    margin-bottom: 5px;
    display: inline-block;
  }
  .docs-mobile-preview-links {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    a {
      .button();
    }
    a + a {
      margin-left: 16px;
    }
    .mobile-preview-ios,
    .mobile-preview-md {
      &:before {
        font-family: 'Framework7 Icons';
        font-size: 18px;
        width: 18px;
        height: 18px;
        position: relative;
        margin-right: 8px;
        line-height: 18px;
      }
      &:after {
        content: 'Preview';
        line-height: 1;
      }
    }
    .mobile-preview-ios {
      &:before {
        content: 'logo_apple';
      }
    }
    .mobile-preview-md {
      &:before {
        content: 'logo_android';
      }
    }
  }
  .docs-content table {
    display: block;
    overflow-x: auto;
  }
}

.docs-color-form {
  fieldset {
    margin: 1em 0;
    border-radius: 4px;
    border: 1px solid #ddd;
    padding: 16px;
    background: #fff;
    box-sizing: border-box;
    line-height: 1.3;
    legend {
      font-weight: bold;
      display: block;
      margin: 0;
    }
    p {
      margin-top: 0;
    }
    p:last-child {
      margin-bottom: 0;
    }
  }
  @media (min-width: 1100px) {
    &-col {
      float: left;
      width: calc(50% - 8px);
    }
    &-col + &-col {
      float: right;
    }
  }
  &-radio {
    display: inline-flex;
    margin-right: 32px;
    align-items: center;
    cursor: pointer;
    input {
      margin: 0;
      margin-right: 8px;
    }
  }
  &-input {
    display: inline-flex;
    align-items: center;
    input {
      margin-left: 8px;
    }
    input[type='text'] {
      border-radius: 4px;
      padding: 4px 8px;
      border: 1px solid #ddd;
    }
  }
  &-code code {
    min-height: 210px;
  }
}
.docs-image {
  border-radius: 16px;
  border: 1px solid @colorBorder;
}

.motion-docs-page-title {
  @media (min-width: 640px) {
    height: 240px;
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    padding-left: 24px;
    background: @colorSurface0;
    border-radius: 16px;
    border: 1px solid @colorBorder;
    margin-bottom: 28px;
    h1 {
      margin: 0;
      padding-bottom: 32px;
      flex-shrink: 10;
      min-width: 0;
    }
  }

  @media (max-width: 639px) {
    [motion] {
      background: @colorSurface0;
      border-radius: 16px;
      border: 1px solid @colorBorder;
      width: 100%;
      padding-left: calc(50% - 160px - 24px);
      padding-right: calc(50% - 160px - 24px);
      box-sizing: border-box;
      overflow: hidden;
      margin-bottom: 28px;
    }
  }
  @media (max-width: 429px) {
    padding-left: 24px;
    padding-right: 24px;
    overflow: hidden;
    margin-left: -24px;
    width: calc(100% + 48px);
    box-sizing: border-box;
    [motion] {
      margin-left: -16px;
      width: calc(100% + 32px);
      box-sizing: border-box;
    }
  }
}
